# pgpPktSigV3_s Struct Reference
[OpenPGP API.]

5.2.2. More...

`#include <rpmpgp.h>`

## Data Fields
uint8_t | version
uint8_t | hashlen
uint8_t | sigtype
pgpTime_t | time
pgpKeyID_t | signid
uint8_t | pubkey_algo
uint8_t | hash_algo
uint8_t | signhash16 [2]

## Detailed Description

5.2.2.

Version 3 Signature Packet Format

The body of a version 3 Signature Packet contains:

- One-octet version number (3).
- One-octet length of following hashed material. MUST be 5.
  - One-octet signature type.
  - Four-octet creation time.
- Eight-octet key ID of signer.
- One-octet public key algorithm.
- One-octet hash algorithm.
- Two-octet field holding left 16 bits of signed hash value.
- One or more multi-precision integers comprising the signature.

Algorithm Specific Fields for RSA signatures:

- multiprecision integer (MPI) of RSA signature value m**d.

Algorithm Specific Fields for DSA signatures:

- MPI of DSA value r.
- MPI of DSA value s.

Definition at line 295 of file rpmpgp.h.

## Field Documentation

uint8_t pgpPktSigV3_s::hash_algo

hash algorithm.

Definition at line 302 of file rpmpgp.h.

uint8_t pgpPktSigV3_s::hashlen

length of following hashed material. MUST be 5.

Definition at line 297 of file rpmpgp.h.

uint8_t pgpPktSigV3_s::pubkey_algo

public key algorithm.

Definition at line 301 of file rpmpgp.h.

uint8_t pgpPktSigV3_s::signhash16[2]

left 16 bits of signed hash value.

Definition at line 303 of file rpmpgp.h.

pgpKeyID_t pgpPktSigV3_s::signid

key ID of signer.

Definition at line 300 of file rpmpgp.h.

uint8_t pgpPktSigV3_s::sigtype

signature type.

Definition at line 298 of file rpmpgp.h.

pgpTime_t pgpPktSigV3_s::time

4 byte creation time.

Definition at line 299 of file rpmpgp.h.

uint8_t pgpPktSigV3_s::version

version number (3).

Definition at line 296 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmpgp.h